View a markdown version of this page

ListAdvancedPromptOptimizationJobs - Amazon Bedrock

ListAdvancedPromptOptimizationJobs

Lists the advanced prompt optimization jobs in your account.

Request Syntax

GET /advanced-prompt-optimization-jobs?maxResults=maxResults&nextToken=nextToken&sortBy=sortBy&sortOrder=sortOrder HTTP/1.1

URI Request Parameters

The request uses the following URI parameters.

maxResults

The maximum number of results to return.

Valid Range: Minimum value of 1. Maximum value of 1000.

nextToken

A token to get the next page of results.

Length Constraints: Minimum length of 1. Maximum length of 2048.

Pattern: \S*

sortBy

The field to sort the results by.

Valid Values: CreationTime

sortOrder

The sort order for the results.

Valid Values: Ascending | Descending

Request Body

The request does not have a request body.

Response Syntax

HTTP/1.1 200 Content-type: application/json { "jobSummaries": [ { "creationTime": "string", "jobArn": "string", "jobName": "string", "jobStatus": "string", "lastModifiedTime": "string" } ], "nextToken": "string" }

Response Elements

If the action is successful, the service sends back an HTTP 200 response.

The following data is returned in JSON format by the service.

jobSummaries

A list of advanced prompt optimization job summaries.

Type: Array of AdvancedPromptOptimizationJobSummary objects

nextToken

A token to get the next page of results.

Type: String

Length Constraints: Minimum length of 1. Maximum length of 2048.

Pattern: \S*

Errors

For information about the errors that are common to all actions, see Common Error Types.

AccessDeniedException

The request is denied because of missing access permissions.

HTTP Status Code: 403

InternalServerException

An internal server error occurred. Retry your request.

HTTP Status Code: 500

ThrottlingException

The number of requests exceeds the limit. Resubmit your request later.

HTTP Status Code: 429

ValidationException

Input validation failed. Check your request parameters and retry the request.

HTTP Status Code: 400

See Also

For more information about using this API in one of the language-specific AWS SDKs, see the following: